﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

#region [Method] - Class Redundancy
using U = _CoRo___Frost_.Core.Unit;
#endregion

namespace _CoRo___Frost_.Core.Managers
{
    class Talent_Manager
    {
        #region [Method] - Blood Tap
        public static bool isBloodTapEnabled = true;
        public static bool canBloodTap(uint Charge)
        {
            return isBloodTapEnabled && U.bloodCharge >= Charge && (U.deathRunes == 0 || U.frostRunes == 0 || U.unholyRunes == 0);
        }
        #endregion

        #region [Method] - Plague Leech
        public static bool isPlagueLeechEnabled = true;
        public static bool canPlagueLeech()
        {
            return isPlagueLeechEnabled && U.bloodPlague && U.frostFever && ((U.deathRunes + U.frostRunes == 0) || (U.frostRunes + U.unholyRunes == 0) || (U.deathRunes + U.unholyRunes == 0));

        }
        #endregion
    }
}
