﻿using Styx.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace _CoRo___Frost_.Core.Utilities
{
    class Log
    {
        #region [Method] - Combat Log
        public static string lastCombatMSG;
        public static void combatLog(string Message, params object[] args)
        {
            if (Message == lastCombatMSG)
                return;
            Logging.Write(Colors.DarkOrange, "[CoRo] {0}", String.Format(Message, args));
            lastCombatMSG = Message;
        }
        #endregion

        #region [Method] - Diagnostics Log
        public static void diagnosticLog(string Message, params object[] args)
        {
            if (Message == null)
                return;
            Logging.WriteDiagnostic(Colors.Firebrick, "[Error] {0}", String.Format(Message, args));
        }
        #endregion
    }
}
