﻿//Created: 07/21/2014 by Dagradt
//Professions: Blacksmithing(600)/Engineering(600)
//Talents: http://us.battle.net/wow/en/tool/talent-calculator#dZ!1...0.
//Glyphs: Loud Horn
//Revision: 18139

using _CoRo___Frost_.Interface.Settings;
using CommonBehaviors.Actions;
using Styx;
using Styx.Common;
using Styx.CommonBot.Routines;
using Styx.TreeSharp;
using Styx.WoWInternals.WoWObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

#region [Method] - Class Redundancy
using HKM = _CoRo___Frost_.Core.Managers.Hotkey_Manager;
using R = _CoRo___Frost_.Rotation.Rotation;
using U = _CoRo___Frost_.Core.Unit;
#endregion

namespace _CoRo___Frost_
{
    public class Main : CombatRoutine
    {
        private static readonly Version version = new Version(10, 20, 2014);
        public override string Name { get { return "[CoRo-Frost_Crappy-Botter Update] v" + version; } }
        public override WoWClass Class { get { return Me.Level > 54 ? WoWClass.DeathKnight : WoWClass.None; } }
        private static LocalPlayer Me { get { return StyxWoW.Me; } }

        #region [Method] - Implementations
        public override Composite PreCombatBuffBehavior { get { return new ActionRunCoroutine(ctx => R.preCombatBuffing()); } }
        public override Composite CombatBuffBehavior { get { return new ActionRunCoroutine(ctx => R.combatBuffing()); } }
        public override Composite CombatBehavior { get { return new ActionRunCoroutine(ctx => R.rotationSelector()); } }

        #region[Method] - Hidden Overrides
        public override void Initialize()
        {
            Logging.Write(Colors.Red, "Hello {0}", Me.Name);
            Logging.Write("");
            Logging.Write(Colors.Red, "For optimal Performance, please use: Tyrael");
            Logging.Write("");
            Logging.Write(Colors.Red, "Current Version:");
            Logging.Write(Colors.Red, "-- Frost v" + version + " --");
            Logging.Write(Colors.Red, "-- by Dagradt --");
            Logging.Write(Colors.Red, "-- A Death Knight Combat Routine --");
            HKM.registerHotKeys();
        }
        public override bool WantButton { get { return true; } }
        public override void OnButtonPress()
        {
            Logging.Write(Colors.DarkOrange, "Configuration opened!");
            new Settings_Form().ShowDialog();
        }
        public override void ShutDown() { HKM.removeHotkeys(); }
        #endregion

        #region [Method] - Pulse
        public override void Pulse()
        {
            if (!StyxWoW.IsInWorld || Me == null || !Me.IsValid || !Me.IsAlive)
                return;
            if (!Me.Combat)
                return;
            U.Cache();
            U.enemyAnnex(10f);
        }
        #endregion

        #endregion
    }
}
