﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

#region [Method] - Class Redundancy
using HKM = _CoRo___Frost_.Core.Managers.Hotkey_Manager;
using S = _CoRo___Frost_.Core.Spell;
using U = _CoRo___Frost_.Core.Unit;
#endregion

namespace _CoRo___Frost_.Core.Helpers
{
    class Spell_Book
    {
        public const int

        #region [Method] - Aura List
            auraBloodCharge = 114851,
            auraBloodPlague = 55078,
            auraFrostFever = 55095,
            auraFrostPresence = 48266,
            auraKillingMachine = 51124,
            auraPillarofFrost = 51271,
            auraFreezingFog = 59052,
            auraBos = 152279, // breath of sindragosa
        #endregion

        #region [Method] - Spell List
            spellAntimagicShell = 48707,//Non-GCD
            spellArcaneTorrent = 28730,
            spellArmyoftheDead = 42650,
            spellBerserking = 26297,
            spellBloodFury = 20572,
            spellBloodTap = 45529,
            spellBloodBoil = 50842, 
            spellDeathandDecay = 43265,
            spellEmpowerRuneWeapon = 47568,
            spellFrostPresence = 48266,
            spellFrostStrike = 49143,
            spellHornofWinter = 57330,
            spellHowlingBlast = 49184,
            spellObliterate = 49020,
            spellOutbreak = 77575,
            spellPestilence = 50842,
            spellPillarofFrost = 51271,//Non-GCD
            spellPlagueLeech = 123693,
            spellPlagueStrike = 45462,
            spellRaiseDead = 46584,
            spellSoulReaper = 130735,
            spellBos = 152279,  // breath of sindragosa
            spellUnholyBlight = 115989;
        #endregion

        #region [Method] - Empower Rune Weapon
        public static bool canEmpowerRuneWeapon()
        {
            return HKM.cooldownsOn && !S.onCooldown(spellEmpowerRuneWeapon) && U.deathRunes + U.frostRunes + U.unholyRunes == 0 && U.runicPower < 25;
        }
        #endregion
    }
}
//Dark Sim, Death Grip, icebound fort, mid freeze, Strangulate